---
title: Upgrade Guide
---

# Upgrade Guide

<div class="documentation__toc"></div>

## Upgrading to 3.8.0 From 3.7

**Estimated Upgrade Time: 5 - 10 Minutes**

> We attempt to document every possible change. Since some of these changes are in obscure parts of the API only a portion of these changes may actually affect your application.{.notice}

Before continuing please refer to the [release notes](../prologue/release-notes) to see more information on what has been changed.

### Updating Dependencies

Update your `composer.json` file to match the 3.8 branch core addons and dependencies: https://github.com/pyrocms/pyrocms/blob/3.8/composer.json#L24-L86

Of course, don't forget to examine any additional addons and packages consumed by your application and verify you are using the proper version for PyroCMS 3.8 support.

### Laravel Review

PyroCMS 3.8 updates Laravel from version 6 to 8. Please review the upgrade guides for both versions.

- [https://laravel.com/docs/7.x/upgrade](https://laravel.com/docs/7.x/upgrade)
- [https://laravel.com/docs/8.x/upgrade](https://laravel.com/docs/8.x/upgrade)

### Composer Update

Now that the `composer.json` file has been brought up to speed we can let composer update our dependencies:

```bash
composer update
```
### Clean Up

It's a good idea to freshen up the entire system's caching and performance utilities:

```bash
php artisan refresh
```
